Bug 225949 - Merge Review: joystick
Merge Review: joystick
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 14:13 EST by Nobody's working on this, feel free to take it
Modified: 2013-10-27 09:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-27 09:44:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:13:09 EST
Fedora Merge Review: joystick

Initial Owner: than@redhat.com
Comment 1 Thomas Spura 2010-07-18 20:07:40 EDT
Hmm, is this package still needed?

According to the upstream website:
"The input drivers already support all the joysticks and gamepads the 1.2.15 joystick driver does. [snip]"

That sounds to me, that this is obsolete - isn't it?

I'll review it, when it's still needed - just give me a ping.
Comment 2 Kyle 2010-10-19 00:25:56 EDT
How do we utilize the alternative? I'm trying to get a controller working, here is the conf.d snippet that I would expect to work.

Section "InputClass"
        Identifier	"Dualshock 3"
        MatchProduct    "Sony"
        Driver          "joystick       
        Option          "SendCoreEvents" "true"
Comment 3 Kyle 2010-10-19 12:18:41 EDT
So if I am correct, the "Input drivers" means evdev? If so, I was able to get my controller registered using the evdev driver. The problem with this method is twofold. One, the .conf files are incompatible as they use different "Options" declarations. Two, the evdev driver has crippled features when compared to the joystick driver...

 -It only supports an x and y axis, the joystick driver supports x,y,zx,zy.
 -It doesn't allow for axis xfactor amplification or valuators.
 -It doesn't allow for keyboard mapping, only altercation to the button mapping.
 -There are more feature incompatibilities but the above are the ones I have called out for in my .conf file.
Comment 4 Parag AN(पराग) 2013-10-27 09:44:00 EDT
this review is already obsoleted by linuxconsoletools package review bug 891366

Note You need to log in before you can comment on or make changes to this bug.